GET /labels/v4/{resourceType}

here.com:tracking

Summary: Gets all labels of a resource type
Operation ID:
Auth: unknown
Description

Gets all labels of the resource type `resourceType` within a project. The `fields` parameter specifies which fields should be added to the response body (for example, `resourceId`). The `labels` query parameter is specified as a label filter, and only the matching results will be returned: "?labels[priority]=high&labels[group]=group1&fields=resourceId,labels" "?labels[group]=*"

Parameters (7)

X-Request-Id (string, header, optional)

ID used for correlating requests within HERE Tracking. Used for logging and error reporting. Must be a valid UUIDv4.

fields (array, query, optional)

Field names to filter a result object.

labels (object, query, optional)

A filter containing label key-value pairs.

limit (integer, query, optional, default: 100)

The number of items to return per page

Constraints: {'minimum': 1, 'maximum': 100}

pageToken (string, query, optional)

A token from the previously returned response to retrieve the specified page.

projectId (string, query, optional)

Constraints: {'minLength': 1, 'maxLength': 50}

resourceType (string, path, required)

The resource type, for example "device", "geofence".

Constraints: {'enum': ['device', 'geofence', 'location', 'rule', 'sensorRule', 'shipment']}

No probe data for this endpoint yet.